DewaVPS

Get detail private network

GET
/network/vswitch/{vswitch_uuid}/details

Retrieve detailed information about a specific private network.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Path Parameters

vswitch_uuid*string

UUID of the private network

Formatuuid

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/network/vswitch/497f6eca-6276-4993-bfeb-53cbbbba6f08/details"
{
  "message": "Private Network details",
  "data": {
    "uuid": "0d805649-9a66-4e0e-8cac-69659b40c2b9",
    "name": "Local Ysf 1",
    "tag": 1000,
    "vid": "vloc1000",
    "location": {
      "id": 1,
      "name": "Jakarta 1"
    },
    "total_active_instance": 2,
    "status": "Active",
    "gateway": {
      "uuid": null,
      "hostname": null,
      "private_ip": null
    },
    "created_at": "25 January 2024 14:37",
    "last_update_at": "25 January 2024 14:38"
  }
}